/*
 * jNPad v0.3 - jNPad's an Simple Text Editor written in Java
 *
 * Copyright (C) 2014-2017  rgs
 *
 * Require JDK 1.6 (or later)
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 *
 *
 * Info, Questions, Suggestions & Bugs Report to rgsevero@gmail.com
 */

package jnpad.ui;

import java.awt.Color;

/**
 * The Class Gray.
 *
 * @version 0.3
 * @since jNPad 0.1
 */
public class Gray extends Color {
  /** UID. */
  private static final long serialVersionUID = -6220059565078730340L;

  /**
   * Instantiates a new gray.
   *
   * @param num int
   */
  public Gray(int num) {
    super(num, num, num);
  }

  /**
   * Instantiates a new gray.
   *
   * @param num int
   * @param alpha int
   */
  private Gray(int num, int alpha) {
    super(num, num, num, alpha);
  }

  /**
   * With alpha.
   *
   * @param alpha int
   * @return Color
   * @throws IllegalArgumentException the illegal argument exception
   */
  public Color withAlpha(int alpha) throws IllegalArgumentException {
    if (alpha < 0 || alpha > 255) {
      throw new IllegalArgumentException("Valor alpha inválido"); //$NON-NLS-1$
    }
    return new Gray(getRed(), alpha);
  }

  /** The Constant _0. */
  public static final Gray _0   = new Gray(0);
  
  /** The Constant _1. */
  public static final Gray _1   = new Gray(1);
  
  /** The Constant _2. */
  public static final Gray _2   = new Gray(2);
  
  /** The Constant _3. */
  public static final Gray _3   = new Gray(3);
  
  /** The Constant _4. */
  public static final Gray _4   = new Gray(4);
  
  /** The Constant _5. */
  public static final Gray _5   = new Gray(5);
  
  /** The Constant _6. */
  public static final Gray _6   = new Gray(6);
  
  /** The Constant _7. */
  public static final Gray _7   = new Gray(7);
  
  /** The Constant _8. */
  public static final Gray _8   = new Gray(8);
  
  /** The Constant _9. */
  public static final Gray _9   = new Gray(9);
  
  /** The Constant _10. */
  public static final Gray _10  = new Gray(10);
  
  /** The Constant _11. */
  public static final Gray _11  = new Gray(11);
  
  /** The Constant _12. */
  public static final Gray _12  = new Gray(12);
  
  /** The Constant _13. */
  public static final Gray _13  = new Gray(13);
  
  /** The Constant _14. */
  public static final Gray _14  = new Gray(14);
  
  /** The Constant _15. */
  public static final Gray _15  = new Gray(15);
  
  /** The Constant _16. */
  public static final Gray _16  = new Gray(16);
  
  /** The Constant _17. */
  public static final Gray _17  = new Gray(17);
  
  /** The Constant _18. */
  public static final Gray _18  = new Gray(18);
  
  /** The Constant _19. */
  public static final Gray _19  = new Gray(19);
  
  /** The Constant _20. */
  public static final Gray _20  = new Gray(20);
  
  /** The Constant _21. */
  public static final Gray _21  = new Gray(21);
  
  /** The Constant _22. */
  public static final Gray _22  = new Gray(22);
  
  /** The Constant _23. */
  public static final Gray _23  = new Gray(23);
  
  /** The Constant _24. */
  public static final Gray _24  = new Gray(24);
  
  /** The Constant _25. */
  public static final Gray _25  = new Gray(25);
  
  /** The Constant _26. */
  public static final Gray _26  = new Gray(26);
  
  /** The Constant _27. */
  public static final Gray _27  = new Gray(27);
  
  /** The Constant _28. */
  public static final Gray _28  = new Gray(28);
  
  /** The Constant _29. */
  public static final Gray _29  = new Gray(29);
  
  /** The Constant _30. */
  public static final Gray _30  = new Gray(30);
  
  /** The Constant _31. */
  public static final Gray _31  = new Gray(31);
  
  /** The Constant _32. */
  public static final Gray _32  = new Gray(32);
  
  /** The Constant _33. */
  public static final Gray _33  = new Gray(33);
  
  /** The Constant _34. */
  public static final Gray _34  = new Gray(34);
  
  /** The Constant _36. */
  public static final Gray _36  = new Gray(36);
  
  /** The Constant _35. */
  public static final Gray _35  = new Gray(35);
  
  /** The Constant _37. */
  public static final Gray _37  = new Gray(37);
  
  /** The Constant _38. */
  public static final Gray _38  = new Gray(38);
  
  /** The Constant _39. */
  public static final Gray _39  = new Gray(39);
  
  /** The Constant _40. */
  public static final Gray _40  = new Gray(40);
  
  /** The Constant _41. */
  public static final Gray _41  = new Gray(41);
  
  /** The Constant _42. */
  public static final Gray _42  = new Gray(42);
  
  /** The Constant _43. */
  public static final Gray _43  = new Gray(43);
  
  /** The Constant _44. */
  public static final Gray _44  = new Gray(44);
  
  /** The Constant _45. */
  public static final Gray _45  = new Gray(45);
  
  /** The Constant _46. */
  public static final Gray _46  = new Gray(46);
  
  /** The Constant _47. */
  public static final Gray _47  = new Gray(47);
  
  /** The Constant _48. */
  public static final Gray _48  = new Gray(48);
  
  /** The Constant _49. */
  public static final Gray _49  = new Gray(49);
  
  /** The Constant _50. */
  public static final Gray _50  = new Gray(50);
  
  /** The Constant _51. */
  public static final Gray _51  = new Gray(51);
  
  /** The Constant _52. */
  public static final Gray _52  = new Gray(52);
  
  /** The Constant _53. */
  public static final Gray _53  = new Gray(53);
  
  /** The Constant _54. */
  public static final Gray _54  = new Gray(54);
  
  /** The Constant _55. */
  public static final Gray _55  = new Gray(55);
  
  /** The Constant _56. */
  public static final Gray _56  = new Gray(56);
  
  /** The Constant _57. */
  public static final Gray _57  = new Gray(57);
  
  /** The Constant _58. */
  public static final Gray _58  = new Gray(58);
  
  /** The Constant _59. */
  public static final Gray _59  = new Gray(59);
  
  /** The Constant _60. */
  public static final Gray _60  = new Gray(60);
  
  /** The Constant _61. */
  public static final Gray _61  = new Gray(61);
  
  /** The Constant _62. */
  public static final Gray _62  = new Gray(62);
  
  /** The Constant _63. */
  public static final Gray _63  = new Gray(63);
  
  /** The Constant _64. */
  public static final Gray _64  = new Gray(64);
  
  /** The Constant _65. */
  public static final Gray _65  = new Gray(65);
  
  /** The Constant _66. */
  public static final Gray _66  = new Gray(66);
  
  /** The Constant _67. */
  public static final Gray _67  = new Gray(67);
  
  /** The Constant _68. */
  public static final Gray _68  = new Gray(68);
  
  /** The Constant _69. */
  public static final Gray _69  = new Gray(69);
  
  /** The Constant _70. */
  public static final Gray _70  = new Gray(70);
  
  /** The Constant _71. */
  public static final Gray _71  = new Gray(71);
  
  /** The Constant _72. */
  public static final Gray _72  = new Gray(72);
  
  /** The Constant _73. */
  public static final Gray _73  = new Gray(73);
  
  /** The Constant _74. */
  public static final Gray _74  = new Gray(74);
  
  /** The Constant _75. */
  public static final Gray _75  = new Gray(75);
  
  /** The Constant _76. */
  public static final Gray _76  = new Gray(76);
  
  /** The Constant _77. */
  public static final Gray _77  = new Gray(77);
  
  /** The Constant _78. */
  public static final Gray _78  = new Gray(78);
  
  /** The Constant _79. */
  public static final Gray _79  = new Gray(79);
  
  /** The Constant _80. */
  public static final Gray _80  = new Gray(80);
  
  /** The Constant _81. */
  public static final Gray _81  = new Gray(81);
  
  /** The Constant _82. */
  public static final Gray _82  = new Gray(82);
  
  /** The Constant _83. */
  public static final Gray _83  = new Gray(83);
  
  /** The Constant _84. */
  public static final Gray _84  = new Gray(84);
  
  /** The Constant _85. */
  public static final Gray _85  = new Gray(85);
  
  /** The Constant _86. */
  public static final Gray _86  = new Gray(86);
  
  /** The Constant _87. */
  public static final Gray _87  = new Gray(87);
  
  /** The Constant _88. */
  public static final Gray _88  = new Gray(88);
  
  /** The Constant _89. */
  public static final Gray _89  = new Gray(89);
  
  /** The Constant _90. */
  public static final Gray _90  = new Gray(90);
  
  /** The Constant _91. */
  public static final Gray _91  = new Gray(91);
  
  /** The Constant _92. */
  public static final Gray _92  = new Gray(92);
  
  /** The Constant _93. */
  public static final Gray _93  = new Gray(93);
  
  /** The Constant _94. */
  public static final Gray _94  = new Gray(94);
  
  /** The Constant _95. */
  public static final Gray _95  = new Gray(95);
  
  /** The Constant _96. */
  public static final Gray _96  = new Gray(96);
  
  /** The Constant _97. */
  public static final Gray _97  = new Gray(97);
  
  /** The Constant _98. */
  public static final Gray _98  = new Gray(98);
  
  /** The Constant _99. */
  public static final Gray _99  = new Gray(99);
  
  /** The Constant _100. */
  public static final Gray _100 = new Gray(100);
  
  /** The Constant _101. */
  public static final Gray _101 = new Gray(101);
  
  /** The Constant _102. */
  public static final Gray _102 = new Gray(102);
  
  /** The Constant _103. */
  public static final Gray _103 = new Gray(103);
  
  /** The Constant _104. */
  public static final Gray _104 = new Gray(104);
  
  /** The Constant _105. */
  public static final Gray _105 = new Gray(105);
  
  /** The Constant _106. */
  public static final Gray _106 = new Gray(106);
  
  /** The Constant _107. */
  public static final Gray _107 = new Gray(107);
  
  /** The Constant _108. */
  public static final Gray _108 = new Gray(108);
  
  /** The Constant _109. */
  public static final Gray _109 = new Gray(109);
  
  /** The Constant _110. */
  public static final Gray _110 = new Gray(110);
  
  /** The Constant _111. */
  public static final Gray _111 = new Gray(111);
  
  /** The Constant _112. */
  public static final Gray _112 = new Gray(112);
  
  /** The Constant _113. */
  public static final Gray _113 = new Gray(113);
  
  /** The Constant _114. */
  public static final Gray _114 = new Gray(114);
  
  /** The Constant _115. */
  public static final Gray _115 = new Gray(115);
  
  /** The Constant _116. */
  public static final Gray _116 = new Gray(116);
  
  /** The Constant _117. */
  public static final Gray _117 = new Gray(117);
  
  /** The Constant _118. */
  public static final Gray _118 = new Gray(118);
  
  /** The Constant _119. */
  public static final Gray _119 = new Gray(119);
  
  /** The Constant _120. */
  public static final Gray _120 = new Gray(120);
  
  /** The Constant _121. */
  public static final Gray _121 = new Gray(121);
  
  /** The Constant _122. */
  public static final Gray _122 = new Gray(122);
  
  /** The Constant _123. */
  public static final Gray _123 = new Gray(123);
  
  /** The Constant _124. */
  public static final Gray _124 = new Gray(124);
  
  /** The Constant _125. */
  public static final Gray _125 = new Gray(125);
  
  /** The Constant _126. */
  public static final Gray _126 = new Gray(126);
  
  /** The Constant _127. */
  public static final Gray _127 = new Gray(127);
  
  /** The Constant _128. */
  public static final Gray _128 = new Gray(128);
  
  /** The Constant _129. */
  public static final Gray _129 = new Gray(129);
  
  /** The Constant _130. */
  public static final Gray _130 = new Gray(130);
  
  /** The Constant _131. */
  public static final Gray _131 = new Gray(131);
  
  /** The Constant _132. */
  public static final Gray _132 = new Gray(132);
  
  /** The Constant _133. */
  public static final Gray _133 = new Gray(133);
  
  /** The Constant _134. */
  public static final Gray _134 = new Gray(134);
  
  /** The Constant _135. */
  public static final Gray _135 = new Gray(135);
  
  /** The Constant _136. */
  public static final Gray _136 = new Gray(136);
  
  /** The Constant _137. */
  public static final Gray _137 = new Gray(137);
  
  /** The Constant _138. */
  public static final Gray _138 = new Gray(138);
  
  /** The Constant _139. */
  public static final Gray _139 = new Gray(139);
  
  /** The Constant _140. */
  public static final Gray _140 = new Gray(140);
  
  /** The Constant _141. */
  public static final Gray _141 = new Gray(141);
  
  /** The Constant _142. */
  public static final Gray _142 = new Gray(142);
  
  /** The Constant _143. */
  public static final Gray _143 = new Gray(143);
  
  /** The Constant _144. */
  public static final Gray _144 = new Gray(144);
  
  /** The Constant _145. */
  public static final Gray _145 = new Gray(145);
  
  /** The Constant _146. */
  public static final Gray _146 = new Gray(146);
  
  /** The Constant _147. */
  public static final Gray _147 = new Gray(147);
  
  /** The Constant _148. */
  public static final Gray _148 = new Gray(148);
  
  /** The Constant _149. */
  public static final Gray _149 = new Gray(149);
  
  /** The Constant _150. */
  public static final Gray _150 = new Gray(150);
  
  /** The Constant _151. */
  public static final Gray _151 = new Gray(151);
  
  /** The Constant _152. */
  public static final Gray _152 = new Gray(152);
  
  /** The Constant _153. */
  public static final Gray _153 = new Gray(153);
  
  /** The Constant _154. */
  public static final Gray _154 = new Gray(154);
  
  /** The Constant _155. */
  public static final Gray _155 = new Gray(155);
  
  /** The Constant _156. */
  public static final Gray _156 = new Gray(156);
  
  /** The Constant _157. */
  public static final Gray _157 = new Gray(157);
  
  /** The Constant _158. */
  public static final Gray _158 = new Gray(158);
  
  /** The Constant _159. */
  public static final Gray _159 = new Gray(159);
  
  /** The Constant _160. */
  public static final Gray _160 = new Gray(160);
  
  /** The Constant _161. */
  public static final Gray _161 = new Gray(161);
  
  /** The Constant _162. */
  public static final Gray _162 = new Gray(162);
  
  /** The Constant _163. */
  public static final Gray _163 = new Gray(163);
  
  /** The Constant _164. */
  public static final Gray _164 = new Gray(164);
  
  /** The Constant _165. */
  public static final Gray _165 = new Gray(165);
  
  /** The Constant _166. */
  public static final Gray _166 = new Gray(166);
  
  /** The Constant _167. */
  public static final Gray _167 = new Gray(167);
  
  /** The Constant _168. */
  public static final Gray _168 = new Gray(168);
  
  /** The Constant _169. */
  public static final Gray _169 = new Gray(169);
  
  /** The Constant _170. */
  public static final Gray _170 = new Gray(170);
  
  /** The Constant _171. */
  public static final Gray _171 = new Gray(171);
  
  /** The Constant _172. */
  public static final Gray _172 = new Gray(172);
  
  /** The Constant _173. */
  public static final Gray _173 = new Gray(173);
  
  /** The Constant _174. */
  public static final Gray _174 = new Gray(174);
  
  /** The Constant _175. */
  public static final Gray _175 = new Gray(175);
  
  /** The Constant _176. */
  public static final Gray _176 = new Gray(176);
  
  /** The Constant _177. */
  public static final Gray _177 = new Gray(177);
  
  /** The Constant _178. */
  public static final Gray _178 = new Gray(178);
  
  /** The Constant _179. */
  public static final Gray _179 = new Gray(179);
  
  /** The Constant _180. */
  public static final Gray _180 = new Gray(180);
  
  /** The Constant _181. */
  public static final Gray _181 = new Gray(181);
  
  /** The Constant _182. */
  public static final Gray _182 = new Gray(182);
  
  /** The Constant _183. */
  public static final Gray _183 = new Gray(183);
  
  /** The Constant _184. */
  public static final Gray _184 = new Gray(184);
  
  /** The Constant _185. */
  public static final Gray _185 = new Gray(185);
  
  /** The Constant _186. */
  public static final Gray _186 = new Gray(186);
  
  /** The Constant _187. */
  public static final Gray _187 = new Gray(187);
  
  /** The Constant _188. */
  public static final Gray _188 = new Gray(188);
  
  /** The Constant _189. */
  public static final Gray _189 = new Gray(189);
  
  /** The Constant _190. */
  public static final Gray _190 = new Gray(190);
  
  /** The Constant _191. */
  public static final Gray _191 = new Gray(191);
  
  /** The Constant _192. */
  public static final Gray _192 = new Gray(192);
  
  /** The Constant _193. */
  public static final Gray _193 = new Gray(193);
  
  /** The Constant _194. */
  public static final Gray _194 = new Gray(194);
  
  /** The Constant _195. */
  public static final Gray _195 = new Gray(195);
  
  /** The Constant _196. */
  public static final Gray _196 = new Gray(196);
  
  /** The Constant _197. */
  public static final Gray _197 = new Gray(197);
  
  /** The Constant _198. */
  public static final Gray _198 = new Gray(198);
  
  /** The Constant _199. */
  public static final Gray _199 = new Gray(199);
  
  /** The Constant _200. */
  public static final Gray _200 = new Gray(200);
  
  /** The Constant _201. */
  public static final Gray _201 = new Gray(201);
  
  /** The Constant _202. */
  public static final Gray _202 = new Gray(202);
  
  /** The Constant _203. */
  public static final Gray _203 = new Gray(203);
  
  /** The Constant _204. */
  public static final Gray _204 = new Gray(204);
  
  /** The Constant _205. */
  public static final Gray _205 = new Gray(205);
  
  /** The Constant _206. */
  public static final Gray _206 = new Gray(206);
  
  /** The Constant _207. */
  public static final Gray _207 = new Gray(207);
  
  /** The Constant _208. */
  public static final Gray _208 = new Gray(208);
  
  /** The Constant _209. */
  public static final Gray _209 = new Gray(209);
  
  /** The Constant _210. */
  public static final Gray _210 = new Gray(210);
  
  /** The Constant _211. */
  public static final Gray _211 = new Gray(211);
  
  /** The Constant _212. */
  public static final Gray _212 = new Gray(212);
  
  /** The Constant _213. */
  public static final Gray _213 = new Gray(213);
  
  /** The Constant _214. */
  public static final Gray _214 = new Gray(214);
  
  /** The Constant _215. */
  public static final Gray _215 = new Gray(215);
  
  /** The Constant _216. */
  public static final Gray _216 = new Gray(216);
  
  /** The Constant _217. */
  public static final Gray _217 = new Gray(217);
  
  /** The Constant _218. */
  public static final Gray _218 = new Gray(218);
  
  /** The Constant _219. */
  public static final Gray _219 = new Gray(219);
  
  /** The Constant _220. */
  public static final Gray _220 = new Gray(220);
  
  /** The Constant _221. */
  public static final Gray _221 = new Gray(221);
  
  /** The Constant _222. */
  public static final Gray _222 = new Gray(222);
  
  /** The Constant _223. */
  public static final Gray _223 = new Gray(223);
  
  /** The Constant _224. */
  public static final Gray _224 = new Gray(224);
  
  /** The Constant _225. */
  public static final Gray _225 = new Gray(225);
  
  /** The Constant _226. */
  public static final Gray _226 = new Gray(226);
  
  /** The Constant _227. */
  public static final Gray _227 = new Gray(227);
  
  /** The Constant _228. */
  public static final Gray _228 = new Gray(228);
  
  /** The Constant _229. */
  public static final Gray _229 = new Gray(229);
  
  /** The Constant _230. */
  public static final Gray _230 = new Gray(230);
  
  /** The Constant _231. */
  public static final Gray _231 = new Gray(231);
  
  /** The Constant _232. */
  public static final Gray _232 = new Gray(232);
  
  /** The Constant _233. */
  public static final Gray _233 = new Gray(233);
  
  /** The Constant _234. */
  public static final Gray _234 = new Gray(234);
  
  /** The Constant _235. */
  public static final Gray _235 = new Gray(235);
  
  /** The Constant _236. */
  public static final Gray _236 = new Gray(236);
  
  /** The Constant _237. */
  public static final Gray _237 = new Gray(237);
  
  /** The Constant _238. */
  public static final Gray _238 = new Gray(238);
  
  /** The Constant _239. */
  public static final Gray _239 = new Gray(239);
  
  /** The Constant _240. */
  public static final Gray _240 = new Gray(240);
  
  /** The Constant _241. */
  public static final Gray _241 = new Gray(241);
  
  /** The Constant _242. */
  public static final Gray _242 = new Gray(242);
  
  /** The Constant _243. */
  public static final Gray _243 = new Gray(243);
  
  /** The Constant _244. */
  public static final Gray _244 = new Gray(244);
  
  /** The Constant _245. */
  public static final Gray _245 = new Gray(245);
  
  /** The Constant _246. */
  public static final Gray _246 = new Gray(246);
  
  /** The Constant _247. */
  public static final Gray _247 = new Gray(247);
  
  /** The Constant _248. */
  public static final Gray _248 = new Gray(248);
  
  /** The Constant _249. */
  public static final Gray _249 = new Gray(249);
  
  /** The Constant _250. */
  public static final Gray _250 = new Gray(250);
  
  /** The Constant _251. */
  public static final Gray _251 = new Gray(251);
  
  /** The Constant _252. */
  public static final Gray _252 = new Gray(252);
  
  /** The Constant _253. */
  public static final Gray _253 = new Gray(253);
  
  /** The Constant _254. */
  public static final Gray _254 = new Gray(254);
  
  /** The Constant _255. */
  public static final Gray _255 = new Gray(255);
}
